Package org.kie.api.conf

## Enum MBeansOption

- java.lang.Object
- - java.lang.Enum<MBeansOption>
  - - org.kie.api.conf.MBeansOption

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MBeansOption>`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`, `SingleValueOption`

      public enum MBeansOption
      extends java.lang.Enum<MBeansOption>
      implements SingleValueKieBaseOption

  An Enum for MBeans Enabled option. kie.mbeans = <enabled|disabled> DEFAULT = false

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLED` |
    `ENABLED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OptionKey<MBeansOption>` | `KEY` |
    `static java.lang.String` | `PROPERTY_NAME` | The property name for the mbeans option

    - ### Fields inherited from interface org.kie.api.conf.KieBaseOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPropertyName()`
    `boolean` | `isEnabled()` |
    `static boolean` | `isEnabled​(java.lang.String value)` |
    `static MBeansOption` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MBeansOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.KieBaseOption

      `type`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final MBeansOption ENABLED

    - #### DISABLED

          public static final MBeansOption DISABLED

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The property name for the mbeans option
      See Also:
        Constant Field Values

    - #### KEY

          public static OptionKey<MBeansOption> KEY

  - ### Method Detail

    - #### values

          public static MBeansOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MBeansOption c : MBeansOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MBeansOption valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### isEnabled

          public boolean isEnabled()

    - #### isEnabled

          public static boolean isEnabled​(java.lang.String value)